{
  config,
  pkgs,
  ...
}: {
  programs.waybar = {
    enable = true;
    systemd.enable = true;
    settings = {
      mainBar = {
        layer = "bottom";
        position = "bottom";
        output = ["eDP-1"];
        margin-left = 45;
        margin-right = 45;
        spacing = 15;

        modules-left = ["sway/workspaces" "sway/mode"];
        modules-center = ["clock"];
        modules-right = ["pulseaudio" "network" "battery"];

        cpu = {
          interval = 15;
          format = "  {}%";
          max-length = 15;
        };

        memory = {
          interval = 30;
          format = "  {}%";
          max-length = 15;
        };

        "pulseaudio" = {
          format = "{volume}% {icon}";
          format-bluetooth = "{volume}% {icon} ";
          format-muted = " ";
          format-icons = {
            headphone = " ";
            hands-free = " ";
            headset = " ";
            phone = " ";
            portable = " ";
            car = " ";
            default = [" " " "];
          };
          #scroll-step = 1;
          #on-click = "pavucontrol";
        };

        backlight = {
          tooltip = false;
          format = " {}%";
          interval = 1;
          on-scroll-up = "${pkgs.brightnessctl}/bin/brightnessctl s 5%+";
          on-scroll-down = "${pkgs.brightnessctl}/bin/brightnessctl s 5%+";
        };

        network = {
          format = "{ifname}";
          format-wifi = "{essid} ({signalStrength}%)  ";
          format-ethernet = "{ipaddr}/{cidr} 󰊗 ";
          format-disconnected = "󰤮 ";
          tooltip-format = "{ifname} via {gwaddr} 󰊗 ";
          tooltip-format-wifi = "{essid} ({signalStrength}%)  ";
          tooltip-format-ethernet = "{ifname}  ";
          tooltip-format-disconnected = "Disconnected";
          max-length = 50;
        };

        battery = {
          format = "{capacity}% {icon}";
          "format-icons" = [" " " " " " " " " "];
        };

        clock = {
          format = "{:%I:%M %p}";
          "format-alt" = "{:%a, %d. %b  %H:%M}";
          tooltip = false;
        };
      };
    };
  };
}
